/*
Copyright (c) Edgeless Systems GmbH

SPDX-License-Identifier: AGPL-3.0-only
*/

package main

import (
	"context"
	"flag"
	"log"

	"github.com/edgelesssys/constellation/v2/terraform-provider-constellation/internal/provider"
	"github.com/hashicorp/terraform-plugin-framework/providerserver"
)

// version is the version of Constellation to use. Left as a separate variable to allow override during build.
var version = "dev"

func main() {
	var debug bool

	flag.BoolVar(&debug, "debug", false, "set to true to run the provider with support for debuggers like delve")
	flag.Parse()

	opts := providerserver.ServeOpts{
		Address: "registry.terraform.io/edgelesssys/constellation",
		Debug:   debug,
	}

	err := providerserver.Serve(context.Background(), provider.New(version), opts)
	if err != nil {
		log.Fatal(err.Error())
	}
}
